//#define BLE_TRACE_DISABLE

////////////////////////////////////////

#include "bleprofile.h"
#include "platform.h"
#include "rtc.h"

////////////////////////////////////////

static void dmiya_rtc_create(void);

APPLICATION_INIT() {
	bleapp_set_cfg(NULL, 0, NULL, NULL, NULL, dmiya_rtc_create);
}

void dmiya_rtc_create(void) {
	RtcTime current_time;

	rtc_init();

	memset(&current_time, 0x00, sizeof(current_time));
	current_time.year = 2014;
	current_time.month = 6;
	current_time.day = 15;
	current_time.hour = 12;
	current_time.minute = 00;
	current_time.second = 0x00;

	if (!rtc_setRTCTime(&current_time)) {
		ble_trace0("Unable to set time.\r\n");
	}


	char buffer[64];
	memset(buffer, 0x00, sizeof(buffer));

	UINT32 seconds_since_time_base;
	UINT16 year, month;

	for (year = 2014; year < 2025; year++) {
		current_time.year = year;
		for (month = 0; month < 12; month++) {
			current_time.month = month;
			rtc_ctime(&current_time, buffer);
			rtc_RtcTime2Sec(&current_time, &seconds_since_time_base);
			sprintf(&buffer[20], " / %d\r\n", seconds_since_time_base);
			ble_trace0(buffer);
		}
	}
}

